GO ?= go

.PHONY: build deps lint install

all: build

deps:
	$(GO) mod download

build: deps
	$(GO) build -ldflags "-X fes/modules/version.gitCommit=$(shell git rev-parse --short HEAD)" -o fes
	@echo "Fes is now built to ./fes"

lint:
	$(GO) vet ./...
	$(GO) fmt ./...

install:
	$(GO) install fes
